%define contentdir /var/www

Summary: An embedded Python interpreter for the Apache Web server.
Name: mod_python
Version: 3.0.3
Release: 3.ent
Source: http://www.apache.org/dist/httpd/modpython/%{name}-%{version}.tgz
Source1: python.conf
Patch0: mod_python-2.7.3-paths.patch
Patch7: mod_python-20020610-gsr.patch
Patch10: mod_python-20020722-lib64.patch
Patch11: mod_python-CAN-2003-0973.patch
URL: http://www.modpython.org/
License: Apache Software License
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: httpd >= 2.0.40
BuildPrereq: httpd-devel >= 2.0.40-6, python, python-devel
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
Mod_python is a module that embeds the Python language interpreter within
the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep
%setup -q
%patch0 -p1 -b .paths
%patch7 -p0 -b .gsr
%patch10 -p1 -b .lib64
%patch11 -p0 -b .can20030973

%build
%configure --with-apxs=%{_sbindir}/apxs
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
make install ROOT=$RPM_BUILD_ROOT

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/python.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

# Install the manual.
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod/mod_python
cp -a doc-html/* $RPM_BUILD_ROOT%{contentdir}/manual/mod/mod_python/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS CREDITS COPYRIGHT
%{contentdir}/manual/mod/mod_python
%{_libdir}/httpd/modules/mod_python.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_libdir}/python*/site-packages/mod_python

%changelog
* Mon Feb  2 2004 Gary Benson <gbenson@redhat.com> 3.0.3-3.ent
- apply fix for CVE CAN-2003-0973

* Thu Jul  3 2003 Gary Benson <gbenson@redhat.com> 3.0.3-2.ent
- fix license (#98245)

* Fri May 30 2003 Joe Orton <jorton@redhat.com> 3.0.3-1.ent
- rebuild for RHEL

* Tue May 13 2003 Gary Benson <gbenson@redhat.com> 3.0.3-1
- upgrade to 3.0.3.

* Thu Feb 20 2003 Gary Benson <gbenson@redhat.com> 3.0.1-3
- call PyOS_AfterFork() after forking (#84610)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 3.0.1-2
- rebuilt

* Mon Dec  9 2002 Gary Benson <gbenson@redhat.com> 3.0.1-1
- upgrade to 3.0.1.

* Mon Nov 18 2002 Gary Benson <gbenson@redhat.com> 3.0.0-12
- upgrade to beta4.

* Wed Nov  6 2002 Gary Benson <gbenson@redhat.com> 3.0.0-11
- install libraries in lib64 when pertinent.

* Fri Sep 13 2002 Gary Benson <gbenson@redhat.com>
- add a filter example to /etc/httpd/conf.d/python.conf

* Wed Sep 11 2002 Gary Benson <gbenson@redhat.com>
- undisable filters (#73825)
- fix filter lookup breakage

* Mon Sep  2 2002 Joe Orton <jorton@redhat.com> 3.0.0-10
- require httpd-mmn for module ABI compatibility

* Tue Aug 28 2002 Gary Benson <gbenson@redhat.com> 3.0.0-9
- remove empty files from the generated manual

* Fri Aug 23 2002 Gary Benson <gbenson@redhat.com> 3.0.0-8
- add built manual to snapshot tarball and install it (#69361)
- add some examples to /etc/httpd/conf.d/python.conf (#71316)

* Mon Aug 12 2002 Gary Benson <gbenson@redhat.com> 3.0.0-7
- rebuild against httpd-2.0.40

* Mon Jul 22 2002 Gary Benson <gbenson@redhat.com> 3.0.0-6
- upgrade to latest CVS

* Tue Jul  9 2002 Gary Benson <gbenson@redhat.com> 3.0.0-5
- bring input filter API in line with 2.0.36 (#66566)

* Wed Jun 26 2002 Gary Benson <gbenson@redhat.com> 3.0.0-4
- upgrade to latest CVS

* Fri Jun 21 2002 Gary Benson <gbenson@redhat.com>
- move /etc/httpd2 back to /etc/httpd

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 3.0.0-3
- automated rebuild

* Mon Jun 10 2002 Gary Benson <gbenson@redhat.com> 3.0.0-2
- drop the CVS date from the release

* Mon Jun 10 2002 Gary Benson <gbenson@redhat.com> 3.0.0-1.20020610
- upgrade to latest CVS

* Mon May 27 2002 Gary Benson <gbenson@redhat.com> 3.0.0-1.20020527
- upgrade to latest CVS and change paths for httpd-2.0
- make it build with 2.0.36
- add the config file.

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.8-2
- rebuild in new environment

* Mon Apr 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.8-1
- update for RHSA-2002:070

* Thu Feb 28 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-5
- add patch for cleanups (#57232)

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 2.7.6-4
- rebuild with python 1.5

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan 04 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change for python 2.2

* Thu Aug  9 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.6

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.5
- add URL
- move docs so that they live under %{contentdir}

* Thu May 31 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.7.3

* Tue Jan 16 2001 Cristian Gafton <gafton@redhat.com>
- fix module compilation paths
- build first package for RHN
